Page MenuHomePhabricator

Visual diff assumes extension nodes have body attribute
Closed, ResolvedPublic

Description

The visual diff crashes if it encounters an extension node with no body attribute, e.g. from a self-closing map tag.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2018, 12:26 PM

Change 475460 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] ve.dm.MWExtensionNode: check for body in describeChanges

https://gerrit.wikimedia.org/r/475460

Change 475460 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] ve.dm.MWExtensionNode: check for body in describeChanges

https://gerrit.wikimedia.org/r/475460

marcella moved this task from Incoming to QA on the VisualEditor (Current work) board.
Esanders moved this task from Inbox to Low Priority on the Editing QA board.Nov 26 2018, 10:22 PM
marcella closed this task as Resolved.Jan 15 2019, 2:28 PM